      subroutine readOHfield()                                
*******************************************************************************
*                                                                             *
*      Reads the OH field into memory
*                                                                             *
*      AUTHOR: Sabine Eckhardt, June 2007
*                                                                             *
*******************************************************************************
*                                                                             *
* Variables:                                                                  *
* i                       loop indices                                        *
* LEN(numpath)            length of the path names                            *
* PATH(numpath)           contains the path names                             *
* unitoh                unit connected with OH field
*                                                                             *
* -----                                                                       *    
*                                                                             *
*******************************************************************************
      use oh_mod

      include 'includepar'
      include 'includecom'

      integer ix,jy,lev,m
  

C Read OH field and level heights
*********************************

      write (*,*) 'reading OH'
      open(unitOH,file=path(1)(1:len(1))//'OH_7lev_agl.dat',
     +status='old',form='UNFORMATTED', err=998)
      do 10 m=1,12
        do 10 lev=1,maxzOH
          do 10 ix=0,maxxOH-1
c           do 10 jy=0,maxyOH-1
              read(unitOH) (OH_field(m,ix,jy,lev),jy=0,maxyOH-1)
c           if ((ix.eq.20).and.(lev.eq.1)) then
c               write(*,*) 'reading: ', m, OH_field(m,ix,20,lev)
c           endif
10    continue
      close(unitOH) 
       
      do 12 lev=1,7
12        OH_field_height(lev)=1000+float(lev-1)*2.*1000.

      write (*,*) 'OH read'
      return

C Issue error messages
**********************

998   write(*,*) ' #### FLEXPART ERROR! FILE CONTAINING          ####'
      write(*,*) ' #### OH FIELD DOES NOT EXIST                  ####'
      stop

      end
