      subroutine wetdepokernel(nunc,deposit,x,y,nage,kp)
C                               i      i    i i  i
********************************************************************************
*                                                                              *
*     Attribution of the deposition from an individual particle to the         *
*     deposition fields using a uniform kernel with bandwidths dxout and dyout.*
*                                                                              *
*     Author: A. Stohl                                                         *
*                                                                              *
*     26 December 1996                                                         *
*                                                                              *
********************************************************************************
*                                                                              *
* Variables:                                                                   *
*                                                                              *
* nunc             uncertainty class of the respective particle                *
* nage             age class of the respective particle                        *
* deposit          amount (kg) to be deposited                                 *
*                                                                              *
********************************************************************************

      use unc_mod

      include 'includepar'
      include 'includecom'


      real x,y,deposit(maxspec),ddx,ddy,xl,yl,wx,wy,w
      integer ix,jy,ixp,jyp,nunc,nage,ks,kp

      xl=(x*dx+xoutshift)/dxout
      yl=(y*dy+youtshift)/dyout
      ix=int(xl)
      jy=int(yl)
      ddx=xl-float(ix)                   ! distance to left cell border
      ddy=yl-float(jy)                   ! distance to lower cell border

      if (ddx.gt.0.5) then
        ixp=ix+1
        wx=1.5-ddx
      else
        ixp=ix-1
        wx=0.5+ddx
      endif

      if (ddy.gt.0.5) then
        jyp=jy+1
        wy=1.5-ddy
      else
        jyp=jy-1
        wy=0.5+ddy
      endif


C Determine mass fractions for four grid points
***********************************************

      do 22 ks=1,nspec

      if ((ix.ge.0).and.(jy.ge.0).and.(ix.le.numxgrid-1).and.
     +(jy.le.numygrid-1)) then
        w=wx*wy
          wetgridunc(ix,jy,ks,kp,nunc,nage)=
     +    wetgridunc(ix,jy,ks,kp,nunc,nage)+deposit(ks)*w
      endif

      if ((ixp.ge.0).and.(jyp.ge.0).and.(ixp.le.numxgrid-1).and.
     +(jyp.le.numygrid-1)) then
        w=(1.-wx)*(1.-wy)
          wetgridunc(ixp,jyp,ks,kp,nunc,nage)=
     +    wetgridunc(ixp,jyp,ks,kp,nunc,nage)+deposit(ks)*w
      endif

      if ((ixp.ge.0).and.(jy.ge.0).and.(ixp.le.numxgrid-1).and.
     +(jy.le.numygrid-1)) then
        w=(1.-wx)*wy
          wetgridunc(ixp,jy,ks,kp,nunc,nage)=
     +    wetgridunc(ixp,jy,ks,kp,nunc,nage)+deposit(ks)*w
      endif

      if ((ix.ge.0).and.(jyp.ge.0).and.(ix.le.numxgrid-1).and.
     +(jyp.le.numygrid-1)) then
        w=wx*(1.-wy)
          wetgridunc(ix,jyp,ks,kp,nunc,nage)=
     +    wetgridunc(ix,jyp,ks,kp,nunc,nage)+deposit(ks)*w
      endif
22    continue

      end
